package model;
/**
 * Das ist ein Girokonto
 * @author Martin
 *
 */
public class Girokonto extends Konto {

	private double dispo;
	
	public Girokonto(int kontonr, Kunde besitzer, Bank bank, double dispo) {
		super(kontonr, besitzer, bank);
		this.dispo = dispo;
	}

	public double getDispo() {
		return dispo;
	}

	public void setDispo(double dispo) {
		this.dispo = dispo;
	}

	@Override
	public void auszahlen(double betrag){
		if(getKontostand()+dispo > betrag){
			super.auszahlen(betrag);
		}else{
			System.out.println("Konto nicht gedeckt");
		}
	}
	
	public String toString(){
		return "Girokonto Nr "+getKontonummer()+ " mit Kontostand "+getKontostand() ;
	}

}
