package model;
import java.util.ArrayList;

/**
 * Diese Klasse repraesentiert einen Kunden
 * @author Martin
 *
 */
public class Kunde {

	private String name;
	
	private ArrayList<Girokonto> girokonten;
	private ArrayList<Sparkonto> sparkonten;
	
	/**
	 * Kunde-Konstruktor
	 * @param name Kundenname
	 */
	public Kunde(String name) {
		this.name = name;
		girokonten = new ArrayList<Girokonto>();
		sparkonten = new ArrayList<Sparkonto>();
	}
	
	public void addGirokonto(Girokonto konto){
		girokonten.add(konto);
	}

	public void addSparkonto(Sparkonto konto){
		sparkonten.add(konto);
	}
	
	public void printAlleGirokonten(){
		for (int i = 0; i < girokonten.size(); i++) {
			System.out.println(girokonten.get(i).toString());
		}
	}

}
